OnlinePay API
V2
V1
V2
V1
  1. SEPA
  • Introduction
    • Introduction
    • How to Start
    • Country Code
    • Country Info
    • Currency Code
    • Error Code
    • Transfer Order Info Type
    • Transfer Order File Type
    • Per Bank
    • Spei Bank
    • Vietnam Bank
    • V2 Signature Specification
  • Payin
    • SEPA
      • SEPA Master Account API
        POST
      • SEPA Virtual Account API
        POST
      • SEPA Upload Kyc Files API
        POST
      • SEPA Submit EDD Files API
        POST
    • Credit Card API
      POST
    • Alipay API
      POST
    • GCash API
      POST
    • WeChat API
      POST
    • PIX API
      POST
    • Crypto API
      POST
    • Union Pay API
      POST
    • SPEI API
      POST
    • Per Transfer API
      POST
    • Cash App API
      POST
    • Google Pay API
      POST
    • Apple Pay API
      POST
    • MONO API
      POST
    • Vietnam Bank API
      POST
    • CheckOut API
      POST
    • CheckOut Payment API
      POST
    • OnRamps API
      GET
  • Payout
    • PER Transfer Payout API
    • Checkout Payout API
    • Card Payout API
    • Bank Account Payout API
    • PIX Payout API
    • PER Transfer Payout API
    • SPEI Payout API
    • CashApp Payout API
    • Checkout Payout API
    • Query Payout Order API
    • Supplement Payee Info API
  • Recharge
    • SEPA
      • Account
      • Virtual Account
  • Refund
    • Refund API
  • Card
    • Create Cardholder API
    • Create Card API
    • Active Card API
    • Freeze Card API
    • UnFreeze Card API
    • Cancel Card API
    • TopUp Card API
    • Card Withdraw API
    • Query Card Balance API
    • Query Card Info API
    • Query Card Transaction API
    • Add VPA Scene API
  • Query
    • Query Payout Order API
    • Query Order API
    • QueryOrderList API
    • QueryBalance API
    • QueryOrderAmount API
  • Notify
    • SEPA EDD KYC Notify Webhook API
    • Pay Notify WebHook API
    • Refund Notify WebHook API
    • Card Notify WebHook API
    • Chargeback Notify WebHook API
  • File
    • UploadFile API
  • Schemas
    • ApiResponse
    • V2EncryptedEnvelope
    • CreateAccountRequest
    • UserArray
    • V2EncryptedNotification
    • QueryPayOutV2Request
    • PayoutCheckStandV2Request
    • CheckStandV2Request
    • PayoutCheckStandV2Response
    • CreateAccountResponse
    • QueryPayOutV2Response
    • ProductParams
    • PaymentNotification
    • PaymentNotificationPayload
    • Category
    • RefundNotificationPayload
    • CreateAccountInfo
    • Pet
    • OrderQueryV2Data
    • PayoutQueryResult
    • CheckStandV2Response
    • PayoutCheckStandV2Data
    • Tag
    • ChargebackNotificationPayload
    • RechargeRequest
    • CheckStandV2Data
    • OrderQueryV2Request
    • OrderQueryV2Response
    • Order
    • RechargeResponse
    • User
    • RechargeAccountInfo
  1. SEPA

SEPA Submit EDD Files API

Testing Env
https://testpay.onlinepay.ai
Testing Env
https://testpay.onlinepay.ai
POST
/v2/supplement/sepa/
Submit supplementary files for failed order.

Request

Body Params application/json

Example
{
  "merNo": 123456,
  "tradeNo": "T123456789",
  "userId": "a00001",
  "sign": "abcdef123456",
  "infoList": [
    {
      "infoType": "1",
      "infoContent": "name"
    },
    {
      "infoType": "2",
      "infoContent": "qwer@gmail.com"
    }
  ],
  "fileList": [
    {
      "fileType": "21",
      "fileContent": "IyDov63ku6Mx",
      "fileName": "fileName1",
      "suffix": ".png"
    },
    {
      "fileType": "22",
      "fileContent": "IyDov63ku6Mx",
      "fileName": "IyDov63ku6Mx",
      "suffix": ".png"
    }
  ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://testpay.onlinepay.ai/v2/supplement/sepa/' \
--header 'Content-Type: application/json' \
--data-raw '{
  "merNo": 123456,
  "tradeNo": "T123456789",
  "userId": "a00001",
  "sign": "abcdef123456",
  "infoList": [
    {
      "infoType": "1",
      "infoContent": "name"
    },
    {
      "infoType": "2",
      "infoContent": "qwer@gmail.com"
    }
  ],
  "fileList": [
    {
      "fileType": "21",
      "fileContent": "IyDov63ku6Mx",
      "fileName": "fileName1",
      "suffix": ".png"
    },
    {
      "fileType": "22",
      "fileContent": "IyDov63ku6Mx",
      "fileName": "IyDov63ku6Mx",
      "suffix": ".png"
    }
  ]
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "code": "string",
    "message": "string"
}
Modified at 2026-06-16 07:59:07
Previous
SEPA Upload Kyc Files API
Next
Credit Card API
Built with